{% extends 'base.html' %}

{% block title %}Register{% endblock %}

{% block content %}
<div class="container">
    <div class="row">
        <div class="col-6 offset-3">
            <h1 class="text-center my-3">Register</h1>
            {% if error == True %}
                <p class="text-danger">Invalid user credentials. Please check your username and password</p>
            {% endif %}
            
            <form action="{% url 'todolist:register' %}" method="post">
                {% csrf_token %}
                <div class="mb-3">
                    <label for="username" class="form-label">Username: </label>
                    <input type="text" class="form-control" id="username" name="username" value="{{username}}" maxlength="20" required>
                </div>

                <div class="mb-3">
                    <label for="first_name" class="form-label">First Name: </label>
                    <input type="text" class="form-control" id="first_name" name="first_name" value="{{first_name}}" maxlength="20" required>
                </div>

                <div class="mb-3">
                    <label for="last_name" class="form-label">Last Name: </label>
                    <input type="text" class="form-control" id="last_name" name="last_name" value="{{last_name}}" maxlength="20" required>
                </div>

                <div class="mb-3">
                    <label for="email" class="form-label">Email Address: </label>
                    <input type="email" class="form-control" id="email" name="email" value="{{email}}" maxlength="20" required>
                </div>

                <div class="mb-3">
                    <label for="password" class="form-label">Password: </label>
                    <input type="password" class="form-control" id="password" name="password" value="{{password}}" maxlength="20" required>
                </div>

                <div class="mb-3">
                    <label for="confirm_password" class="form-label">Confirm Password: </label>
                    <input type="password" class="form-control" id="confirm_password" name="confirm_password" value="{{confirm_password}}" maxlength="20" required>
                </div>

                <div class="text-center">
                    <input class="btn btn-success" type="submit" value="Register">
                </div>

            </form>

        </div>
    </div>
</div>


{% endblock %} 